+1-888-365-2779
Try Now
More in this section

Forums / Suggestions / Newer Version Installed

Newer Version Installed

4 posts, 0 answered
  1. Markus
    Markus avatar
    2763 posts
    Registered:
    25 Nov 2005
    04 Mar 2011
    Link to this post
    See attached screenshot.

    It would be nice to know what this means.

    a) the newer versions will be used (is this possible - is SF 4.0 not bound to a certain Rad release)
    b) installation failed

    what does that tell me?

    Regards Markus

    PS: Small side note .png shows .gif Icon :-)
  2. Hristo Borisov
    Hristo Borisov avatar
    190 posts
    Registered:
    18 Nov 2016
    09 Mar 2011
    Link to this post
    Hello Markus Berchtold,

    The release of Sitefinity 4.0 SP1 uses the Q3 version of the RadControls for ASP.NET Ajax, and you have most probably already installed the Q3 SP1 of the RadControls which is causing the error.

    We have announced in our Roadmap that the Sitefinity team is going to adopt the release cycle of Telerik meaning that we will target 3 Q releases and 3 SP1 releases. We have scheduled our releases a few weeks after the official Q releases by Telerik in order to upgrade RadControls for Silverlight, ASP.NET Ajax and the OpenAccess ORM to the latest offering.

    Regards,
    Hristo Borisov
    the Telerik team
  3. Markus
    Markus avatar
    2763 posts
    Registered:
    25 Nov 2005
    09 Mar 2011
    Link to this post
    Dear Hristo

    I know the cause - simply don't know the consequences.

    What is happening

    a) is the older SF needed version still installed
    b) any thing a user should do when he/she sees the message

    If nothing has to be done, why the message?

    Markus
  4. Hristo Borisov
    Hristo Borisov avatar
    190 posts
    Registered:
    18 Nov 2016
    09 Mar 2011
    Link to this post
    Hello Markus Berchtold,

    The message is not related to the installation of the Sitefinity itself, but to its supporting installers in this case the RadControls for ASP.NET Ajax which means that everything will install fine except the RadControls. The older version of Sitefinity will replaced with the new, except the RadControls.

    Therefore once you create a Sitefinity project the Telerik.Web.UI.dll that is referenced from it will be picked up from the Global Assembly Cache (GAC) which in this contains the newer version. This will cause the Sitefinity project to crash in case you don't manually change the reference path to point to the Sitefinity 4.0\Libraries folder where you have installed the SDK.

    On the other hand, if you remove your Q3 SP1 version of the RadControls and rerun the installation you will get the correct assembly required by Sitefinity in the GAC and no manual work will be required. However, you will not be able to use the Q3 SP1 version on your machine since we don't offer parallel installation of more than one version.

    My recommendation is to do the following. Disregard this message and make sure that your Sitefinity project references the correct version of Telerik.Web.UI -> 2010.3.1109.40.

    All the best,
    Hristo Borisov
    the Telerik team
4 posts, 0 answered